package model

type RequestListFilter struct {
	SearchValue string
}

type ResposeNoticeSetRecords struct {
	Records []NoticeSetRecords `json:"records"` //记录列表
	Current int                `json:"current"` //当前分页
	Size    int                `json:"size"`    //每页数量
	Total   int                `json:"total"`   //总数
	Pages   int                `json:"pages"`   //总页数
}

//返回结果
type NoticeSetRecords struct {
	ID                      string             `json:"id"`
	Rtype                   int                `json:"rtype,omitempty"`
	DeviceId                int                `json:"deviceId,omitempty"`
	DeviceType              int                `json:"deviceType,omitempty"`
	RtypeName               string             `json:"showName,omitempty"`
	DevUserNoticeModesName  string             `json:"showOperationTypeName,omitempty"`
	BusinessNoticeModesName string             `json:"showBusinessTypeName,omitempty"`
	DevUserIdsName          string             `json:"noticeOperationName,omitempty"`
	DevUserIds              string             `json:"noticeOperationMan,omitempty"`
	BusinessUserIdsName     string             `json:"noticeBusinessName,omitempty"`
	BusinessUserIds         string             `json:"noticeBusinessMan,omitempty"`
	Children                []NoticeSetRecords `json:"children,omitempty"`
}

// NoticeUpdateData 保存时的请求数据
type NoticeUpdateData struct {
	DeviceID               int    `json:"deviceId"`
	DeviceType             int    `json:"deviceType"`
	ID                     string `json:"id"`
	NoticeBusinessMan      string `json:"noticeBusinessMan"`
	NoticeBusinessType     string `json:"noticeBusinessType"`
	NoticeOperationMan     string `json:"noticeOperationMan"`
	NoticeOperationType    string `json:"noticeOperationType"`
	Rtype                  int    `json:"rtype"`
	ShowBusinessTypeName   string `json:"showBusinessTypeName"`
	ShowName               string `json:"showName"`
	ShowOperationTypeName  string `json:"showOperationTypeName"`
	NoticeBusinessManName  string `json:"$noticeBusinessMan"`
	NoticeOperationManName string `json:"$noticeOperationMan"`
}

type NoticeSetDetail struct {
	ID                  string `json:"id"`
	RidType             int    `json:"ridType"`
	NoticeOperationType string `json:"noticeOperationType"`
	NoticeBusinessType  string `json:"noticeBusinessType"`
	NoticeOperationMan  string `json:"noticeOperationMan"`
	NoticeBusinessMan   string `json:"noticeBusinessMan"`
	CreateTime          string `json:"createTime"`
	CreateUser          string `json:"createUser"`
	UpdateTime          string `json:"updateTime"`
	UpdateUser          string `json:"updateUser"`
	TenantID            string `json:"tenantId"`
	IsDeleted           int    `json:"isDeleted"`
	Rid                 int    `json:"rid"`
}

type NoticeSetDUserList struct {
	ID   string `json:"id"`
	Name string `json:"name"`
}
